--
-- Projet: annuairesup
--
-- Licensed under the Apache License, Version 2.0 (the "License");
-- you may not use this file except in compliance with the License.
-- You may obtain a copy of the License at
--
--         http://www.apache.org/licenses/LICENSE-2.0
--
-- Unless required by applicable law or agreed to in writing, software
-- distributed under the License is distributed on an "AS IS" BASIS,
-- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-- See the License for the specific language governing permissions and
-- limitations under the License.
--

CREATE TABLE ANNUAIREKSUP (
  ID_ANNUAIREKSUP                   BIGINT NOT NULL AUTO_INCREMENT PRIMARY KEY,
  DATE_NAISSANCE                    DATE            DEFAULT '1970-01-01',
  CIVILITE                          VARCHAR(8)      DEFAULT '',
  NOM                               VARCHAR(40)     DEFAULT '',
  PRENOM                            VARCHAR(40)     DEFAULT '',
  PHOTO                             BIGINT,
  TYPE_POPULATION                   VARCHAR(8)      DEFAULT '',
  FONCTION                          TEXT,
  CORPS                             TEXT,
  DISCIPLINE                        TEXT,
  DISCIPLINE_ENSEIGNEE              TEXT,
  THEME_RECHERCHE                   TEXT,
  ADRESSE                           TEXT,
  ADRESSE_MAIL                      VARCHAR(255)    DEFAULT '',
  RATTACHEMENT_BANDEAU              VARCHAR(1)      DEFAULT '',
  BUREAU_1                          VARCHAR(255)    DEFAULT '',
  TELEPHONE_1                       VARCHAR(255)    DEFAULT '',
  TELECOPIE_1                       VARCHAR(255)    DEFAULT '',
  BUREAU_2                          VARCHAR(255)    DEFAULT '',
  TELEPHONE_2                       VARCHAR(255)    DEFAULT '',
  TELECOPIE_2                       VARCHAR(255)    DEFAULT '',
  CODE_RATTACHEMENT_AUTRES          TEXT,
  LISTE_ROUGE                       VARCHAR(1)      DEFAULT '',
  ADRESSE_SITE_PERSO                VARCHAR(255)    DEFAULT '',
  CV                                TEXT,
  COMPLEMENTS                       TEXT,
  CODE_STRUCTURE                    VARCHAR(30)     DEFAULT '',
  CODE                              VARCHAR(64)     DEFAULT '',
  CODE_RUBRIQUE                     VARCHAR(255)    DEFAULT '',
  CODE_RATTACHEMENT                 VARCHAR(64)     DEFAULT '',
  META_KEYWORDS                     TEXT,
  META_DESCRIPTION                  TEXT,
  TITRE_ENCADRE                     VARCHAR(32)     DEFAULT '',
  CONTENU_ENCADRE                   TEXT,
  ENCADRE_RECHERCHE                 VARCHAR(4)      DEFAULT '',
  ENCADRE_RECHERCHE_BIS             VARCHAR(4)      DEFAULT '',
  DATE_ALERTE                       DATE            DEFAULT '1970-01-01',
  MESSAGE_ALERTE                    TEXT,
  DATE_CREATION                     DATETIME        DEFAULT '1970-01-01 00:00:00',
  DATE_PROPOSITION                  DATETIME        DEFAULT '1970-01-01 00:00:00',
  DATE_VALIDATION                   DATETIME        DEFAULT '1970-01-01 00:00:00',
  DATE_MODIFICATION                 DATETIME        DEFAULT '1970-01-01 00:00:00',
  CODE_REDACTEUR                    VARCHAR(64)     DEFAULT '',
  CODE_VALIDATION                   VARCHAR(64)     DEFAULT '',
  LANGUE                            VARCHAR(4)      DEFAULT '',
  ETAT_OBJET                        VARCHAR(4)      DEFAULT '',
  NB_HITS                           BIGINT,
  DIFFUSION_PUBLIC_VISE             VARCHAR(255)    DEFAULT '',
  DIFFUSION_MODE_RESTRICTION        VARCHAR(1)      DEFAULT '',
  DIFFUSION_PUBLIC_VISE_RESTRICTION VARCHAR(255)    DEFAULT '',
  KEY `IDX_DIFFUSION_PUBLIC_VISE` (`DIFFUSION_PUBLIC_VISE`(100)),
  KEY `IDX_DIFFUSION_MODE_RESTRICTION` (`DIFFUSION_MODE_RESTRICTION`),
  KEY `IDX_DIFFUSION_PUBLIC_VISE_RESTRICTION` (`DIFFUSION_PUBLIC_VISE_RESTRICTION`(100))
)
  ENGINE = MyISAM
  CHARACTER SET utf8
  COLLATE utf8_general_ci;

CREATE TABLE DEFAULTSTRUCTUREKSUP (
  ID_DEFAULTSTRUCTUREKSUP           BIGINT NOT NULL AUTO_INCREMENT PRIMARY KEY,
  LIBELLE_COURT                     VARCHAR(120)    DEFAULT '',
  LIBELLE_LONG                      TEXT,
  TYPE_STRUCTURE                    TEXT,
  STRUCTURE_ENSEIGNEMENT            VARCHAR(1)      DEFAULT '',
  ID_BANDEAU                        BIGINT,
  ONGLETS                           TEXT,
  COULEUR_TITRE                     VARCHAR(20)     DEFAULT '',
  COULEUR_FOND                      VARCHAR(20)     DEFAULT '',
  ADRESSE                           TEXT,
  CODE_POSTAL                       VARCHAR(5)      DEFAULT '',
  VILLE                             VARCHAR(128)    DEFAULT '',
  VILLES                            TEXT,
  TELEPHONE                         VARCHAR(30)     DEFAULT '',
  TELECOPIE                         VARCHAR(30)     DEFAULT '',
  ADRESSE_MAIL                      VARCHAR(255)    DEFAULT '',
  SITE_WEB                          VARCHAR(255)    DEFAULT '',
  ID_PHOTO                          BIGINT,
  CODE_RESPONSABLE                  VARCHAR(64)     DEFAULT '',
  ORGANIGRAMME                      TEXT,
  CONTACTS                          TEXT,
  ACTIVITE                          TEXT,
  CHIFFRES_CLES                     TEXT,
  DOMAINE_FORMATION_ETABLISSEMENT   TEXT,
  FORMATIONS                        TEXT,
  RECHERCHE                         TEXT,
  PARTENARIATS                      TEXT,
  COMPLEMENT_COORDONNEES            TEXT,
  COMPLEMENTS                       TEXT,
  ID_PLAN_ACCES                     BIGINT,
  CODE_RATTACHEMENT_AUTRES          TEXT,
  CODE                              VARCHAR(64)     DEFAULT '',
  CODE_RUBRIQUE                     VARCHAR(255)    DEFAULT '',
  CODE_RATTACHEMENT                 VARCHAR(64)     DEFAULT '',
  META_KEYWORDS                     TEXT,
  META_DESCRIPTION                  TEXT,
  TITRE_ENCADRE                     VARCHAR(32)     DEFAULT '',
  CONTENU_ENCADRE                   TEXT,
  ENCADRE_RECHERCHE                 VARCHAR(4)      DEFAULT '',
  ENCADRE_RECHERCHE_BIS             VARCHAR(4)      DEFAULT '',
  DATE_ALERTE                       DATE            DEFAULT '1970-01-01',
  MESSAGE_ALERTE                    TEXT,
  DATE_CREATION                     DATETIME        DEFAULT '1970-01-01 00:00:00',
  DATE_PROPOSITION                  DATETIME        DEFAULT '1970-01-01 00:00:00',
  DATE_VALIDATION                   DATETIME        DEFAULT '1970-01-01 00:00:00',
  DATE_MODIFICATION                 DATETIME        DEFAULT '1970-01-01 00:00:00',
  CODE_REDACTEUR                    VARCHAR(64)     DEFAULT '',
  CODE_VALIDATION                   VARCHAR(64)     DEFAULT '',
  LANGUE                            VARCHAR(4)      DEFAULT '',
  ETAT_OBJET                        VARCHAR(4)      DEFAULT '',
  NB_HITS                           BIGINT,
  DIFFUSION_PUBLIC_VISE             VARCHAR(255)    DEFAULT '',
  DIFFUSION_MODE_RESTRICTION        VARCHAR(1)      DEFAULT '',
  DIFFUSION_PUBLIC_VISE_RESTRICTION VARCHAR(255)    DEFAULT '',
  KEY `IDX_DIFFUSION_PUBLIC_VISE` (`DIFFUSION_PUBLIC_VISE`(100)),
  KEY `IDX_DIFFUSION_MODE_RESTRICTION` (`DIFFUSION_MODE_RESTRICTION`),
  KEY `IDX_DIFFUSION_PUBLIC_VISE_RESTRICTION` (`DIFFUSION_PUBLIC_VISE_RESTRICTION`(100))
)
  ENGINE = MyISAM
  CHARACTER SET utf8
  COLLATE utf8_general_ci;