<%--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: annuairesup
    Version: 1.08.00

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

--%>
<%@page import="java.util.StringTokenizer"%>
<%@page import="org.apache.commons.lang3.StringUtils"%>
<%@page import="com.jsbsoft.jtf.core.Formateur"%>
<%@page import="com.kportal.cms.objetspartages.Objetpartage"%>
<%@page import="com.ksup.objetspartages.om.Annuaireksup"%>
<%@page import="com.univ.objetspartages.om.ReferentielObjets"%>
<%@ page import="com.univ.objetspartages.om.StructureModele, com.univ.objetspartages.services.ServiceRessource, com.univ.utils.ContexteUniv" errorPage ="/jsp/jsb_exception.jsp" %>
<%@ page import="com.univ.utils.ContexteUtil" %>
<%@ page import="com.univ.utils.URLResolver" %>
<%@ page import="com.univ.objetspartages.bean.RessourceBean" %>
<%@ page import="com.univ.objetspartages.util.RessourceUtils" %>
<%@ page import="com.kosmos.service.impl.ServiceManager" %>
<%@ page import="com.univ.objetspartages.services.ServiceStructure" %>
<%@ page import="com.kportal.ihm.utils.FrontUtil" %>
<%@taglib prefix="components" uri="http://kportal.kosmos.fr/tags/components" %>
<%@ taglib prefix="kmedia" uri="kmedia"%>
<%
    /********************************************
     *          Initialisation de la fiche         *
     *********************************************/
    final ServiceStructure serviceStructure = ServiceManager.getServiceForBean(StructureModele.class);
    ServiceRessource serviceRessource = ServiceManager.getServiceForBean(RessourceBean.class);
    ContexteUniv ctx = ContexteUtil.getContexteUniv();
    Annuaireksup annuaireksup = (Annuaireksup)ctx.getFicheCourante();
    Objetpartage module = ReferentielObjets.getObjetByNom(ReferentielObjets.getNomObjet(annuaireksup));

    /* Lecture des champs */
    String titre = StringUtils.EMPTY;
    String adresse = annuaireksup.getAdresse();
    String bureau1 = annuaireksup.getBureau1();
    String telephone1 = annuaireksup.getTelephone1();
    String telecopie1 = annuaireksup.getTelecopie1();
    String adresseMail = annuaireksup.getAdresseMail();
    String discipline = annuaireksup.getLibelleDiscipline();
    String fonction = annuaireksup.getFonction();
    boolean listeRouge = annuaireksup.getListeRouge().equals("1");
    String cv = annuaireksup.getFormatedCv();
    String complements = annuaireksup.getFormatedComplements();
    String bureau2 = annuaireksup.getBureau2();
    String telephone2 = annuaireksup.getTelephone2();
    String telecopie2 = annuaireksup.getTelecopie2();
    String corps = annuaireksup.getCorps();
    String sitePerso = annuaireksup.getAdresseSitePerso();
    String disciplineEnseignee = annuaireksup.getFormatedDisciplineEnseignee();
    String theme = annuaireksup.getFormatedThemeRecherche();
    StructureModele structure = serviceStructure.getByCodeLanguage(annuaireksup.getCodeRattachement(), ctx.getLangue());
    com.univ.objetspartages.om.StructureModele structureRattachementAutres = null;
    String strRattachementAutres = StringUtils.EMPTY;
    /********************************************
     *         Calcul des champs         *
     *********************************************/
    /* calcul des autres structures de rattachement */
    StringTokenizer stRattAutres = new StringTokenizer(annuaireksup.getCodeRattachementAutres(), ";");
    while (stRattAutres.hasMoreTokens()) {
        if (strRattachementAutres.length() > 0) {
            strRattachementAutres += "<br />";
        }
        structureRattachementAutres = serviceStructure.getByCodeLanguage(stRattAutres.nextToken(), ctx.getLangue());
        if (structureRattachementAutres != null) {
            strRattachementAutres += "<a href=\"" + URLResolver.getAbsoluteUrlFiche(structureRattachementAutres, ctx) + "\">" + structureRattachementAutres.getLibelleAffichable() + "</a>";
        }
    }
    /* calcul des propriétés de la photo jointe */
    RessourceBean photoJointe = serviceRessource.getFile(annuaireksup);
    /********************************************
     *         Affichage des champs         *
     *********************************************/
    /* affichage de la photo jointe */
    if (!listeRouge && photoJointe != null) {
%><div class="photo">
    <kmedia:champPhoto media="<%= photoJointe %>" datatest="annuaire-photo"/><%
%></div><%
    }
%><div class="infos"><%
    if (StringUtils.isNotEmpty(annuaireksup.getTypePopulation()) && ! "0000".equals(annuaireksup.getTypePopulation())) {
%><p id="type_personnel" class="surtitre" <%=FrontUtil.addDataTest("annuaire-typepopulation")%>><%= annuaireksup.getLibelleTypePopulation() %></p><%
    }

    if (annuaireksup.getCivilite().length() > 0) {
        titre = annuaireksup.getLibelleCivilite();
    }
    if (annuaireksup.getPrenom().length() > 0) {
        if (titre.length() > 0) {
            titre += " ";
        }
        titre += annuaireksup.getPrenom();
    }
    if (annuaireksup.getNom().length() > 0) {
        if (titre.length() > 0) {
            titre += " ";
        }
        titre += annuaireksup.getNom();
    }
    if(StringUtils.isNotBlank(titre)){
%><h1 <%=FrontUtil.addDataTest("annuaire-titre")%>><%= titre %></h1><%
    }
    /* affichage de la fonction */
    if (StringUtils.isNotBlank(fonction)) {
%><span <%=FrontUtil.addDataTest("annuaire-fonction")%>><%=fonction%></span><%
    }
    /* affichage des structures de rattachement */
    if (structure != null || strRattachementAutres.length() > 0) {
%><div class="structure" <%=FrontUtil.addDataTest("annuaire-structure")%>><%
    if (structure != null) {
%><a href="<%=URLResolver.getAbsoluteUrlFiche(structure, ctx)%>"><%=structure.getLibelleLong()%></a><br /><%
    }
%><span <%=FrontUtil.addDataTest("annuaire-rattachementautre")%>><%=strRattachementAutres%></span>
</div><%
    }
%></div><%

    /* affichage des détails de la personne */
    if (!listeRouge && (StringUtils.isNotBlank(adresse) || StringUtils.isNotBlank(bureau1) || StringUtils.isNotBlank(telephone1) ||
            StringUtils.isNotBlank(telecopie1) || StringUtils.isNotBlank(adresseMail) || StringUtils.isNotBlank(bureau2) || StringUtils.isNotBlank(telephone2) ||
            StringUtils.isNotBlank(telecopie2)) || Formateur.estSaisi(sitePerso)) {
%><div class="element_deco motif">
    <div class="motif__titre"><h2><%=module.getMessage("ST_ANNUAIREKSUP_COORDONNEES")%></h2></div>
    <div class="motif__contenu"><%
        if (StringUtils.isNotBlank(adresse)) {
    %><p <%=FrontUtil.addDataTest("annuaire-adresse")%>><%=adresse%></p><%
        }
        if (StringUtils.isNotBlank(bureau1)) {
    %><p <%=FrontUtil.addDataTest("annuaire-bureau")%>><%=bureau1%></p><%
        }
    %><dl class="type_1"><%
        if (StringUtils.isNotBlank(telephone1)) {
    %><dt><%=module.getMessage("ST_ANNUAIREKSUP_TELEPHONE_1")%></dt>
        <dd class="tel" <%=FrontUtil.addDataTest("annuaire-telephone")%>><%=telephone1%></dd><%
            }
            if (StringUtils.isNotBlank(telecopie1)) {
        %><dt><%=module.getMessage("ST_ANNUAIREKSUP_TELECOPIE_1")%></dt>
        <dd <%=FrontUtil.addDataTest("annuaire-telecopie")%>><%=telecopie1%></dd><%
            }
            if (StringUtils.isNotBlank(bureau2)) {
        %><dt><%=module.getMessage("ST_ANNUAIREKSUP_BUREAU_2")%></dt>
        <dd <%=FrontUtil.addDataTest("annuaire-bureau2")%>><%=bureau2%></dd><%
            }
            if (StringUtils.isNotBlank(telephone2)) {
        %><dt><%=module.getMessage("ST_ANNUAIREKSUP_TELEPHONE_2")%></dt>
        <dd <%=FrontUtil.addDataTest("annuaire-telephone2")%>><%=telephone2%></dd><%
            }
            if (StringUtils.isNotBlank(telecopie2)) {
        %><dt><%=module.getMessage("ST_ANNUAIREKSUP_TELECOPIE_2")%></dt>
        <dd <%=FrontUtil.addDataTest("annuaire-telecopie2")%>><%=telecopie2%></dd><%
            }
            if (StringUtils.isNotBlank(adresseMail)) {
        %><dt><%=module.getMessage("ST_ANNUAIREKSUP_MEL")%></dt>
        <dd class="mail" <%=FrontUtil.addDataTest("annuaire-email")%>>
            <components:email-link href="<%= adresseMail %>"/>
        </dd><%
            }
            /* affichage du site perso */
            if (Formateur.estSaisi(sitePerso)) {
        %><dt><%=module.getMessage("ST_ANNUAIREKSUP_ADRESSE_SITE_PERSO")%></dt>
        <dd <%=FrontUtil.addDataTest("annuaire-siteweb")%>><a href="<%=sitePerso%>"><%=sitePerso%></a></dd><%
            }
        %></dl></div><!-- motif__contenu -->
</div><!-- .element_deco --><%
    }
    /* affichage de la discipline */
    if (discipline.length() > 0) {
%><div class="element_deco motif">
    <div class="motif__titre"><h2><%=module.getMessage("ST_ANNUAIREKSUP_DISCIPLINE")%></h2></div>
    <div class="motif__contenu" <%=FrontUtil.addDataTest("annuaire-discipline")%>><%=discipline%></div>
</div><!-- .element_deco --><%
    }
    /* affichage de la discipline enseignée */
    if (disciplineEnseignee.length() > 0) {
%><div class="element_deco motif">
    <div class="motif__titre"><h2><%=module.getMessage("ST_ANNUAIREKSUP_DISCIPLINE_S_ENSEIGNEE_S")%></h2></div>
    <div class="motif__contenu toolbox" <%=FrontUtil.addDataTest("annuaire-disciplineens")%>><%=disciplineEnseignee%></div>
</div><!-- .element_deco --><%
    }
    /* affichage du thème */
    if (theme.length() > 0) {
%><div class="element_deco motif">
    <div class="motif__titre"><h2><%=module.getMessage("ST_ANNUAIREKSUP_THEMES_RECHERCHE")%></h2></div>
    <div class="motif__contenu toolbox" <%=FrontUtil.addDataTest("annuaire-themerecherche")%>><%=theme%></div>
</div><!-- .element_deco --><%
    }
    /* affichage du cv */
    if (cv.length() > 0) {
%><div class="element_deco motif">
    <div class="motif__titre"><h2><%=module.getMessage("ST_ANNUAIREKSUP_ACTIVITES_CV")%></h2></div>
    <div class="motif__contenu toolbox" <%=FrontUtil.addDataTest("annuaire-cv")%>><%=cv%></div>
</div><!-- .element_deco --><%
    }
    /* affichage du corps */
    if (corps.length() > 0) {
%><div class="element_deco motif">
    <div class="motif__titre"><h2><%=module.getMessage("ST_ANNUAIREKSUP_CORPS")%></h2></div>
    <div class="motif__contenu" <%=FrontUtil.addDataTest("annuaire-corps")%>><%=corps%></div>
</div><!-- .element_deco --><%
    }
    /* affichage des informations complémentaires */
    if (complements.length() > 0) {
%><div class="element_deco motif">
    <div class="motif__titre"><h2><%=module.getMessage("ST_ANNUAIREKSUP_INFORMATIONS_COMPLEMENTAIRES")%></h2></div>
    <div class="motif__contenu toolbox" <%=FrontUtil.addDataTest("annuaire-infocompl")%>><%=complements%></div>
</div><!-- .element_deco --><%
    }
%>
