<%--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: annuairesup
    Version: 1.08.00

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

--%>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles" %>
<%@ taglib uri="http://tiles.apache.org/tags-tiles-extras" prefix="tilesx" %>
<%@ taglib uri="http://java.sun.com/jstl/core_rt" prefix="c" %>
<%@ taglib uri="http://kportal.kosmos.fr/tags/utils" prefix="utils" %>
<tilesx:useAttribute name="resultModel" id="resultModel" classname="com.kosmos.search.query.bean.SearchResultDoc"/>
<tilesx:useAttribute name="date_modification" id="dateModif" ignore="true"/>

<c:set var="hightlightCount" value="0"/>
<c:set var="maxHightLight" value="10"/>

<h2><a class="results__list-item-link" href="${resultModel.url}" data-score="<c:out value="${resultModel.score}"/>"><c:out value="${resultModel.titre}"/></a></h2>
<p class="results__list-item-description">
    <c:forEach var="hightlight" items="${resultModel.highlightedFields}">
        <c:forEach var="fragment" items="${hightlight.value.fragments}">
            <c:if test="${hightlightCount lt maxHightLight}">
                <c:out value="${fragment}" escapeXml="false"/>
                <c:set var="hightlightCount" value="${hightlightCount + 1}"/>
            </c:if>
        </c:forEach>
    </c:forEach>
</p>
<ul class="results__list-item-meta">
    <li>
        <span class="sr-only">
            ${utils:getCoreMessage("SEARCH_TYPE")} :
        </span>
        <c:out value="${resultModel.libelleObjet}"/>
    </li>
</ul>
