<%--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: annuairesup
    Version: 1.08.00

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

--%>
<%@page import="java.util.Locale"%>
<%@page import="java.util.StringTokenizer"%>
<%@page import="org.apache.commons.lang3.StringUtils"%>
<%@page import="com.jsbsoft.jtf.core.Formateur"%>
<%@page import="com.kosmos.service.impl.ServiceManager" %>
<%@page import="com.kportal.cms.objetspartages.Objetpartage" %>
<%@page import="com.kportal.ihm.utils.FrontUtil" %>
<%@page import="com.ksup.objetspartages.om.Defaultstructureksup"%>
<%@page import="com.univ.objetspartages.bean.MediaBean" %>
<%@page import="com.univ.objetspartages.bean.RessourceBean" %>
<%@page import="com.univ.objetspartages.om.AnnuaireModele" %>
<%@page import="com.univ.objetspartages.om.ReferentielObjets" %>
<%@page import="com.univ.objetspartages.om.StructureModele" errorPage="/jsp/jsb_exception.jsp" %>
<%@ page import="com.univ.objetspartages.services.ServiceMedia" %>
<%@ page import="com.univ.objetspartages.services.ServiceRessource" %>
<%@ page import="com.univ.objetspartages.services.ServiceStructure" %>
<%@ page import="com.univ.objetspartages.util.LabelUtils" %>
<%@ page import="com.univ.objetspartages.util.MediaUtils" %>
<%@ page import="com.univ.objetspartages.util.RessourceUtils" %>
<%@ page import="com.univ.utils.ContexteUniv" %>
<%@ page import="com.univ.utils.ContexteUtil" %>
<%@ page import="com.univ.utils.URLResolver" %>
<%@ page import="com.univ.utils.UnivWebFmt" %>
<%@ page import="com.univ.objetspartages.om.FicheAnnuaire" %>
<%@ page import="com.univ.url.utils.UrlUtils" %>
<%@taglib prefix="components" uri="http://kportal.kosmos.fr/tags/components" %>
<%@ taglib prefix="kmedia" uri="kmedia" %>
<%
    /********************************************
    *          Initialisation de la fiche         *
    *********************************************/
    final ServiceStructure serviceStructure = ServiceManager.getServiceForBean(StructureModele.class);
    ServiceRessource serviceRessource = ServiceManager.getServiceForBean(RessourceBean.class);
    ServiceMedia serviceMedia = ServiceManager.getServiceForBean(MediaBean.class);
    ContexteUniv ctx = ContexteUtil.getContexteUniv();
    Defaultstructureksup defaultstructureksup = (Defaultstructureksup)ctx.getFicheCourante();
    Objetpartage module = ReferentielObjets.getObjetByNom(ReferentielObjets.getNomObjet(defaultstructureksup));
    /* Lecture des champs */
    String adresse = defaultstructureksup.getAdresse();
    String codePostal = defaultstructureksup.getCodePostal();
    String ville = defaultstructureksup.getVille();
    String complementsCoordonnees = defaultstructureksup.getFormatedComplementCoordonnees();
    String adresseMail = defaultstructureksup.getAdresseMail();
    String siteWeb = defaultstructureksup.getSiteWeb();
    String activite = defaultstructureksup.getFormatedActivite();
    String organisation = defaultstructureksup.getFormatedOrganigramme();
    String complements = defaultstructureksup.getFormatedComplements();
    String responsables = "";
    String listeFormations = "";
    String formationsProposees = defaultstructureksup.getFormatedFormations();
    String activitesRecherche = defaultstructureksup.getFormatedRecherche();
    String partenariats = defaultstructureksup.getFormatedPartenariats();
    StructureModele structureRattachement = serviceStructure.getByCodeLanguage(defaultstructureksup.getCodeRattachement(), ctx.getLangue());
    StructureModele structureRattachementAutres;
    String strRattachementAutres = "";
    String urlPlan = MediaUtils.getUrlAbsolue(serviceMedia.getById(defaultstructureksup.getIdPlanAcces()));
    RessourceBean photoJointe;
    /********************************************
     *         Calcul des champs         *
     *********************************************/
    /* calcul des responsables */
    StringTokenizer stResponsables = new StringTokenizer(defaultstructureksup.getCodeResponsable(), ";");
    StringTokenizer stCodesResponsables;
    Locale langueResponsable;
    while (stResponsables.hasMoreTokens()) {
        stCodesResponsables = new StringTokenizer(stResponsables.nextToken(), ",");
        if (stCodesResponsables.hasMoreTokens()) {
            AnnuaireModele annuaire = FicheAnnuaire.getFicheAnnuaire(stCodesResponsables.nextToken(), ctx.getLangue());
            if (annuaire != null) {
                if (responsables.length() > 0) {
                    responsables += "<br />";
                }
                responsables += "<a href=\"" + UrlUtils.getUrlFiche(annuaire.getPersistanceBean()) + "\">";
                if (annuaire.getCivilite().length() > 0 && !annuaire.getCivilite().equals("0000")) {
                    responsables += annuaire.getCivilite() + " ";
                }
                responsables += (annuaire.getPrenom() + " " + annuaire.getNom()).trim() + "</a>";
                if (stCodesResponsables.hasMoreTokens()) {
                    langueResponsable = com.jsbsoft.jtf.core.LangueUtil.getLocale((new Integer(stCodesResponsables.nextToken())).intValue());
                } else {
                    langueResponsable = ctx.getLocale();
                }
                if (stCodesResponsables.hasMoreTokens()) {
                    String titre = LabelUtils.getLibelle("64", stCodesResponsables.nextToken(), langueResponsable);
                    if(StringUtils.isNotBlank(titre)) {
                        responsables += " (" + titre + ")";
                    }
                }
            }
        }
    }
    /* calcul de l'adresse */
    if (codePostal.length() > 0) {
        if (adresse.length() > 0) {
            adresse += "<br />";
        }
        adresse += codePostal;
    }
    if (ville.length() > 0) {
        if (adresse.length() > 0) {
            adresse += " ";
        }
        adresse += ville;
    }
    /* calcul des autres structures de rattachement */
    StringTokenizer stRattAutres = new StringTokenizer(defaultstructureksup.getCodeRattachementAutres(), ";");
    while (stRattAutres.hasMoreTokens()) {
        if (strRattachementAutres.length() > 0) {
            strRattachementAutres += "<br />";
        }
        structureRattachementAutres = serviceStructure.getByCodeLanguage(stRattAutres.nextToken(), ctx.getLangue());
        if (structureRattachementAutres != null) {
            strRattachementAutres += "<a href=\"" + UrlUtils.getUrlFiche(structureRattachementAutres.getPersistanceBean()) + "\">" + structureRattachementAutres.getLibelleAffichable() + "</a>";
        }
    }
    /* calcul des propriétés de la photo jointe */
    photoJointe = serviceRessource.getFile(defaultstructureksup);
    if(StringUtils.isNotBlank(activite) || photoJointe != null){
    %><div class="defaultstructureksup__infos"><%
        if (photoJointe != null) {
            %><div class="defaultstructureksup__photo">
                <kmedia:champPhoto media="<%= photoJointe %>" datatest="structure-photo" itemprop="image"/>
            </div><%
        }
        %><!-- affichage de la photo jointe et de l'activité --><%
        if (StringUtils.isNotBlank(activite)) {
            %><div class="defaultstructureksup__activite"><%
                if (activite.length() > 0) {
                    %><h2><%=module.getMessage("ST_DEFAULTSTRUCTUREKSUP_ACTIVITES")%></h2>
                    <div class="toolbox" <%=FrontUtil.addDataTest("structure-activite")%>><%=activite%></div><%
                }
                %><br class="separateur" />
            </div><!-- .element_deco --><%
        }
    %></div><%
    }

    /********************************************
    *         Affichage des champs         *
    *********************************************/
    if (FrontUtil.isAnyNotBlank(adresse,complementsCoordonnees,adresseMail,defaultstructureksup.getTelephone(),defaultstructureksup.getTelecopie(), urlPlan, strRattachementAutres) || Formateur.estSaisi(siteWeb)) {
        %><dl class="type_1"><%
        /* affichage du bloc adresse */
        if (StringUtils.isNotBlank(adresse)) {
            %><dt><%=module.getMessage("ST_DEFAULTSTRUCTUREKSUP_ADRESSE")%></dt>
            <dd <%=FrontUtil.addDataTest("structure-adresse")%> itemprop="address" itemscope itemtype="http://schema.org/PostalAddress"><%=adresse%></dd><%
        }
        /* affichage du téléphone */
        if (StringUtils.isNotBlank(defaultstructureksup.getTelephone())) {
            %><dt><%=module.getMessage("ST_DEFAULTSTRUCTUREKSUP_TELEPHONE")%></dt>
            <dd <%=FrontUtil.addDataTest("structure-telephone")%> itemprop="telephone"><%=defaultstructureksup.getTelephone()%></dd><%
        }
        /* affichage de la télécopie */
        if (StringUtils.isNotBlank(defaultstructureksup.getTelecopie())) {
            %><dt><%=module.getMessage("ST_DEFAULTSTRUCTUREKSUP_TELECOPIE")%></dt>
            <dd <%=FrontUtil.addDataTest("structure-telecopie")%> itemprop="faxNumber"><%=defaultstructureksup.getTelecopie()%></dd><%
        }
        /* affichage de l'adresse mail */
        if (StringUtils.isNotBlank(adresseMail)) {
            %><dt><%=module.getMessage("ST_DEFAULTSTRUCTUREKSUP_MEL")%></dt>
            <dd <%=FrontUtil.addDataTest("structure-email")%> itemprop="email"><components:email-link href="<%= adresseMail %>"/></dd><%
        }
        /* affichage du site web */
        if (Formateur.estSaisi(siteWeb)) {
            %><dt><%=module.getMessage("ST_DEFAULTSTRUCTUREKSUP_SUR_INTERNET")%></dt>
            <dd><a <%=FrontUtil.addDataTest("structure-site")%> href="<%=siteWeb%>" itemprop="sameAs"><%=siteWeb%></a></dd><%
        }
        /* affichage des compléments coordonnées */
        if (FrontUtil.isAnyNotBlank(complementsCoordonnees,urlPlan)) {
            %><dt><%=module.getMessage("ST_DEFAULTSTRUCTUREKSUP_COMPLEMENT_COORDONNEES")%></dt>
            <dd class="plan-acces"><%
            if (StringUtils.isNotBlank(complementsCoordonnees)){
            %><div class="toolbox" <%=FrontUtil.addDataTest("structure-complementcoordonnees")%>><%=complementsCoordonnees%></div><%
            }
            /* affichage du lien plan d'accès */
            if (StringUtils.isNotBlank(urlPlan)) {
                %><a <%=FrontUtil.addDataTest("structure-planacces")%> href="<%=URLResolver.getAbsoluteUrl(urlPlan, ctx)%>" onclick="ouvrirFenetrePlan(this.href, 'plan'); return false;"><%=module.getMessage("ST_DEFAULTSTRUCTUREKSUP_PLAN_ACCES")%></a><%
            }
            %></dd><%
        }
        %></dl><%
    }
    /* affichage de l'organisation */
    if (organisation.length() > 0 || structureRattachement != null || strRattachementAutres.length() > 0 || responsables.length() > 0) {
        %><div class="element_deco motif">
        <div class="motif__titre"><h2><%=module.getMessage("ST_DEFAULTSTRUCTUREKSUP_ORGANISATION")%></h2></div>
        <div class="motif__contenu"><dl class="type_1"><%
        /* affichage des structures de rattachement */
        if (structureRattachement != null || strRattachementAutres.length() > 0) {
            %><dt><%=module.getMessage("ST_DEFAULTSTRUCTUREKSUP_STRUCTURE_S_RATTACHEMENT")%></dt>
            <dd class="rattachement"><%
            if (structureRattachement != null) {
                %><a <%=FrontUtil.addDataTest("structure-rattachement")%>itemprop="parentOrganization" href="<%=UrlUtils.getUrlFiche(structureRattachement.getPersistanceBean())%>"><%=structureRattachement.getLibelleLong()%></a><br /><%
            }
            %><%=strRattachementAutres%>
            </dd><%
        }
        /* affichage des responsables */
        if (responsables.length() > 0) {
            %><dt><%=module.getMessage("ST_DEFAULTSTRUCTUREKSUP_RESPONSABLE_S")%></dt>
            <dd <%=FrontUtil.addDataTest("structure-responsables")%> itemprop="member"><%=responsables%></dd><%
        }
        %></dl><%
        /* affichage de l'organisation */
        if (organisation.length() > 0) {
            %><div <%=FrontUtil.addDataTest("structure-organisation")%> class="element_deco toolbox">
                <%=organisation%>
            </div><!-- .element_deco --><%
        }
        %></div><!-- .motif__contenu --></div> <!-- .element_deco --><%
    }
    /* Affichage des formations proposées */
    if (FrontUtil.isAnyNotBlank(formationsProposees,listeFormations, defaultstructureksup.getDomaineFormationEtablissement())) {
        %><div class="element_deco motif">
            <div class="motif__titre"><h2><%=module.getMessage("ST_DEFAULTSTRUCTUREKSUP_FORMATIONS_PROPOSEES")%></h2></div>
            <div class="motif__contenu"><%
                if (StringUtils.isNotBlank(defaultstructureksup.getDomaineFormationEtablissement())) {
            %><p id="domaines_formation"><%= module.getMessage("ST_DEFAULTSTRUCTUREKSUP_DOMAINE_S_FORMATION") + " : "%><span <%=FrontUtil.addDataTest("structure-domaines")%>><%=defaultstructureksup.getLibelleDomaineFormationEtablissement().replaceAll(";", ", " ) %></span></p><%
                }
                %><div class="toolbox" <%=FrontUtil.addDataTest("structure-formationsproposees")%> itemscope itemtype="http://schema.org/Course"><%=formationsProposees%></div>
                <span <%=FrontUtil.addDataTest("structure-formations")%>><%=listeFormations%></span>
            </div><!-- .motif__contenu -->
        </div><!-- .element_deco --><%
    }
    /* affichage des activités de recherche */
    if (activitesRecherche.length() > 0) {
        %><div class="element_deco motif">
            <div class="motif__titre"><h2><%=module.getMessage("ST_DEFAULTSTRUCTUREKSUP_ACTIVITES_RECHERCHE")%></h2></div>
            <div <%=FrontUtil.addDataTest("structure-activitesrecherche")%> class="motif__contenu toolbox"><%=activitesRecherche%></div><!-- .motif__contenu -->
        </div><!-- .element_deco --><%
    }
    /* affichage des partenariats */
    if (partenariats.length() > 0) {
        %><div class="element_deco motif">
            <div class="motif__titre"><h2><%=module.getMessage("ST_DEFAULTSTRUCTUREKSUP_PARTENARIATS")%></h2></div>
            <div <%=FrontUtil.addDataTest("structure-partenariats")%> class="motif__contenu toolbox"><%=partenariats%></div><!-- .motif__contenu -->
        </div><!-- .element_deco --><%
    }
    /* affichage des informations complémentaires */
    if (complements.length() > 0) {
        %><div class="element_deco motif">
            <div class="motif__titre"><h2><%=module.getMessage("ST_DEFAULTSTRUCTUREKSUP_INFORMATIONS_COMPLEMENTAIRES")%></h2></div>
            <div <%=FrontUtil.addDataTest("structure-complement")%> class="motif__contenu toolbox"><%=complements%></div><!-- .motif__contenu -->
        </div><!-- .element_deco --><%
    }
%>
